Requirements for Eyefi Mobi Cards

Eyefi Mobi cards require the following:

  • Smartphones or tablets must have a minimum version of iOS 7.0 or Android 4.0.3
  • Your camera must read SDHC memory cards
  • Eyefi Mobi cards work with over 700 camera models that use SD or SDHC memory cards
Have more questions? Submit a request